### Enumeration

# AppStream IssueKind

#### Declaration

    enum AppStream.IssueKind

#### Description [src]

Checksums supported by `AsRelease`.

#### Members

`AS_ISSUE_KIND_UNKNOWN`

  Unknown issue type.

  - Value: `0`
  - Available since: 1.0
`AS_ISSUE_KIND_GENERIC`

  Generic issue type.

  - Value: `1`
  - Available since: 1.0
`AS_ISSUE_KIND_CVE`

  Common Vulnerabilities and Exposures issue.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_issue_kind_from_string

Converts the text representation to an enumerated value.

###### as_issue_kind_to_string

Converts the enumerated value to an text representation.